Bug 1870831 - "Install Operator" page doesn't show correct Operator `displayName` per "Update Channel" change
Summary: "Install Operator" page doesn't show correct Operator `displayName` per "Upda...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Jon Jackson
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1873279
TreeView+ depends on / blocked
 
Reported: 2020-08-20 20:04 UTC by tony.wu
Modified: 2020-08-31 10:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1873279 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
0_CNV_OSV_packageManifest.png (393.60 KB, image/png)
2020-08-20 20:04 UTC, tony.wu
no flags Details
1_channel_2.4_OSV_displayName.png (382.14 KB, image/png)
2020-08-20 20:05 UTC, tony.wu
no flags Details
2_channel_2.2_CNV_displayName.png (389.42 KB, image/png)
2020-08-20 20:05 UTC, tony.wu
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6466 None open Bug 1870831: Fix operator displayName on subscribe form 2020-08-27 18:40:36 UTC

Description tony.wu 2020-08-20 20:04:47 UTC
Created attachment 1712083 [details]
0_CNV_OSV_packageManifest.png

Description of problem:

"Install Operator" page doesn't show the correct Operator `displayName` per channel change like "Provided APIs" does.
The displayName should be also fetching the data from `PackageManifest` object's status field:
status.channels[SELECTED_CHANNEL].currentCSVDesc.displayName


Version-Release number of selected component (if applicable):

4.4/4.5/4.6


How reproducible:

100%


Steps to Reproduce:

1. Go to "OperatorHub", find and click on "OpenShift Virtualization" Operator, and hit Install
2. On "Install Operator" page, change "Update Channel" radio buttons from "2.4" to "2.2"
3. See Operator "displayName" and "Provided APIs" section on the right-hand side


Actual results:

"Install Operator" page doesn't show the correct Operator `displayName` per channel change like "Provided APIs" does.


Expected results:

"Install Operator" page should show the correct Operator `displayName` per channel change like "Provided APIs" does.


Additional info:

See `PackageManifest` object's YAML in attached "0_CNV_OSV_packageManifest.png" and other screenshots for reference.

Comment 1 tony.wu 2020-08-20 20:05:03 UTC
Created attachment 1712084 [details]
1_channel_2.4_OSV_displayName.png

Comment 2 tony.wu 2020-08-20 20:05:14 UTC
Created attachment 1712085 [details]
2_channel_2.2_CNV_displayName.png

Comment 4 Jon Jackson 2020-08-21 19:35:48 UTC
Next on my queue since it loosely relates to https://bugzilla.redhat.com/show_bug.cgi?id=1856353

Comment 5 Jon Jackson 2020-08-27 18:34:21 UTC
Update to target 4.6 so that we can merge the fix.

Comment 8 Yadan Pei 2020-08-31 07:40:15 UTC
The latest accepted 4.6 nightly 4.6.0-0.nightly-2020-08-27-005538 doesn't include the fix PR 

# export PAYLOAD=registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-08-27-005538
[root@preserved-qe-ui-rhel-1 console]# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:741428633e21bddb5f6b86970a6d62f9ed2b762bafd074f2bb7a09aa3aaf5d0a
[root@preserved-qe-ui-rhel-1 console]# export CONSOLE_IMAGE=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
[root@preserved-qe-ui-rhel-1 console]# oc image info $CONSOLE_IMAGE | grep commit
             io.openshift.build.commit.id=9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
[root@preserved-qe-ui-rhel-1 console]# git log 9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf | grep '#6466'   //nothing returns

Comment 9 Yadan Pei 2020-08-31 08:18:34 UTC
4.6.0-0.nightly-2020-08-31-012413 contains the fix, verifying

Comment 10 Yadan Pei 2020-08-31 10:08:53 UTC
1. Create an operator the displayName for different channels is different
$ grep -nr 'displayName' manifests/syndesis/*
manifests/syndesis/1.7.0/syndesisoperator.1.7.0.clusterserviceversion.yaml:61:  displayName: Syndesis Operator 1.7.0
manifests/syndesis/1.9.0/syndesisoperator.1.9.0.clusterserviceversion.yaml:38:  displayName: Syndesis Operator 1.9.0
2. Build operator image and create catalogsource referencing it 
# cat ~/yapei/yapei-custom-catalog-source.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: yapei-cs
  namespace: openshift-marketplace
spec:
  sourceType: grpc
  image: quay.io/yapei/syndesisoperator-diffdisplay:latest
  displayName: YAPEI Custom UI Auto Console Testing
  publisher: OpenShift UI QE
3. wait for packagemanifests are generated
# oc get packagemanifests syndesis -o json | jq '.status.channels[0].currentCSVDesc.displayName'
"Syndesis Operator 1.9.0"
# oc get packagemanifests syndesis -o json | jq '.status.channels[1].currentCSVDesc.displayName'
"Syndesis Operator 1.7.0"
4. Go to OperatorHub and search Syndesis Operator, on the operator installation page, the display name will changes upon changing the channel. For example when we choose alhpa channel the display name will show 'Syndesis Operator 1.9.0', when choose original channel the display name will show 'Syndesis Operator 1.7.0'

Verified on 4.6.0-0.nightly-2020-08-31-012413


Note You need to log in before you can comment on or make changes to this bug.